# Get a Patient

Retrieve patient information.

Endpoint: GET /v1/patients/{id}
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Path parameters:

  - `id` (string, required)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `id` (string, required)

  - `uid` (string)

  - `emis_id` (string)

  - `ehr_partner_id` (string)

  - `dob` (string, required)

  - `deceased_at` (string)

  - `title` (string)
    Enum: "Baron", "Baroness", "Brigadier", "Count", "Colonel", "Countess", "Captain", "Dame", "The Dowager Viscountess", "Dr", "Duchess", "Duke", "Earl", "His Excellency", "Father", "H.E. Ambassador Mr", "H.E. Mr", "H.E. Mrs", "Her Grace", "His Grace", "The Hon", "The Hon Mr", "The Hon Mrs", "HRH", "HRH Prince", "HRH Princess", "Insurance", "HM King", "Lady", "Lord", "Major", "Master", "Miss", "Mr", "Mrs", "Ms", "Mss", "Mx", "Pr", "Professor", "HM Queen", "Rabbi", "Reverend", "Sheikh", "Sheikha", "Sir", "The", "", "Viscount", "Viscountess"

  - `first_name` (string)

  - `last_name` (string)

  - `sex` (string)
    Enum: "Not known", "Not specified", "Male", "Female", "Other"

  - `nhs_number` (string)

  - `email` (string)

  - `emails` (array)

  - `mobile` (string)

  - `last_sync_at` (string)

  - `address_line_1` (string)

  - `address_line_2` (string)

  - `address_line_3` (string)

  - `country` (string)

  - `postcode` (string)

  - `town` (string)

  - `county` (string)

  - `notes` (string)

  - `verification_credentials` (array)

  - `patient_memberships` (array)

  - `patient_memberships.id` (string, required)

  - `patient_memberships.active` (boolean, required)

  - `patient_memberships.membership` (object, required)

  - `patient_memberships.membership.id` (string)

  - `patient_memberships.membership.name` (string, required)

  - `patient_memberships.membership.length` (string, required)
    Enum: "yearly", "monthly"

  - `data_source` (string, required)
    Enum: "hero", "emis", "pds", "gha", "systm_one"

  - `restricted` (boolean)

  - `sex_changed_at` (string)

  - `status` (string, required)
    Enum: "archived", "unarchived"

  - `ods_code` (string)

  - `identifiers` (array, required)

  - `identifiers.source` (string, required)
    Enum: "nhs", "gha", "ehr_partner", "hero"

  - `identifiers.name` (string, required)
    Enum: "nhs_number", "gha_number", "ehr_partner_id", "hero_id", "hero_uid"

  - `identifiers.role` (string, required)
    Enum: "main", "secondary"

  - `identifiers.label` (string, required)
    Enum: "NHS", "GHA", "EMIS", "Hero", "Systm One"

  - `identifiers.value` (string, required)

  - `ehr_registered` (boolean, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 404:

  - `404` (unknown)
    Not found

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

